glibmm 2.61.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gio::DBus::MethodInfo Class Referencefinal
D-Bus API

Stores information about a method on an D-Bus interface. More...

`#include </home/kjell/checkout/gnome/glibmm/gio/giomm/dbusintrospection.h>`

## Public Member Functions
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GDBusMethodInfo* | gobj ()
| Provides access to the underlying C instance. More...
const GDBusMethodInfo* | gobj () const
| Provides access to the underlying C instance. More...
GDBusMethodInfo* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| MethodInfo ()=delete
| MethodInfo (const MethodInfo&)=delete
MethodInfo& | operator= (const MethodInfo&)=delete

## Protected Member Functions
void | operator delete (void*, std::size_t)

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::DBus::MethodInfo > | wrap (GDBusMethodInfo* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

Stores information about a method on an D-Bus interface.

Since glibmm 2.28:

## Constructor & Destructor Documentation

Gio::DBus::MethodInfo::MethodInfo | ( |  | ) |
| delete

Gio::DBus::MethodInfo::MethodInfo | ( | const MethodInfo& |  | ) |
| delete

## Member Function Documentation

GDBusMethodInfo* Gio::DBus::MethodInfo::gobj | ( |  | ) |

Provides access to the underlying C instance.

const GDBusMethodInfo* Gio::DBus::MethodInfo::gobj | ( |  | ) | const

Provides access to the underlying C instance.

GDBusMethodInfo* Gio::DBus::MethodInfo::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gio::DBus::MethodInfo::operator delete | ( | void * | ,
|  | std::size_t |
| ) |  |
| protected

MethodInfo& Gio::DBus::MethodInfo::operator= | ( | const MethodInfo& |  | ) |
| delete

void Gio::DBus::MethodInfo::reference | ( |  | ) | const

Increment the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

void Gio::DBus::MethodInfo::unreference | ( |  | ) | const

Decrement the reference count for this object.

You should never need to do this manually - use the object via a RefPtr instead.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::DBus::MethodInfo > wrap | ( | GDBusMethodInfo * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.